GET V1/FundingStatements.{ext}/OBFDetailsForBillPay?obfIds={obfIds}&action={action}&currency={currency}&sitegroup={sitegroup}&paymentMethod={paymentMethod}

This is a listing of all the Outbound File details.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
obfIds

Comma separated Out Bound Files Ids.

string

Required

action

No description available

string

Required

currency

No description available

string

Default value is

sitegroup

No description available

string

Default value is

paymentMethod

No description available

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

Out bound file Details of passed Out bound file's.

EMSResponseOfEMS.Payments.Entities.ObfDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.ObfDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ObfDetails",
  "response": {
    "obfDetailList": [
      {
        "obfId": 1,
        "obfDetailId": 1,
        "fsId": 1,
        "fsDetailId": 1,
        "transactionId": "sample string 2",
        "siteGroup": "sample string 3",
        "siteNumber": "sample string 4",
        "accountNumber": "sample string 5",
        "billAmount": 1.0,
        "fromDate": "sample string 6",
        "toDate": "sample string 7",
        "dueDate": "sample string 8",
        "billId": 1,
        "documentId": "sample string 9",
        "status": "sample string 10",
        "payByAmount": 1.0,
        "currentCharges": 1.0,
        "comments": "sample string 11",
        "fsName": "sample string 12",
        "vendorName": "sample string 13",
        "priorMonthAmount": 1.0,
        "checkboxStatus": true,
        "billingAccountNumber": "sample string 15",
        "accountCode": "sample string 16"
      },
      {
        "obfId": 1,
        "obfDetailId": 1,
        "fsId": 1,
        "fsDetailId": 1,
        "transactionId": "sample string 2",
        "siteGroup": "sample string 3",
        "siteNumber": "sample string 4",
        "accountNumber": "sample string 5",
        "billAmount": 1.0,
        "fromDate": "sample string 6",
        "toDate": "sample string 7",
        "dueDate": "sample string 8",
        "billId": 1,
        "documentId": "sample string 9",
        "status": "sample string 10",
        "payByAmount": 1.0,
        "currentCharges": 1.0,
        "comments": "sample string 11",
        "fsName": "sample string 12",
        "vendorName": "sample string 13",
        "priorMonthAmount": 1.0,
        "checkboxStatus": true,
        "billingAccountNumber": "sample string 15",
        "accountCode": "sample string 16"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.